Mettre à jour Aveline d’une version 0.X en version 1.X

Aveline a connu des changements majeurs entre les versions 0.X (0.1 à 0.6) et sa version 1.0. Cette page décrit le processus de mise à jour.

Aveline a fait l’objet d’un découpage en deux plugins. D’un côté, le squelette ZPIP-vide qui fournit une structure Z vide de contenus à remplir de noisettes. De l’autre, Aveline proprement dit, c’est-à-dire une collection de noisettes hautement paramétrables.

Dès lors, pour faire fonctionner Aveline comme précédemment, vous devez installer le plugin ZPIP-vide en plus d’Aveline.

Par ailleurs, le code des noisettes d’Aveline a été réorganisé afin de pouvoir les faire évoluer plus facilement. Vous devez donc mettre à jour le plugin Aveline et vous rendre sur la page de gestion des plugins. Cela déclenchera une mise à jour de vos paramètres en base de données.

Enfin, vous devez penser à vider le cache.

updated on 7 February 2011

Discussion

Aucune discussion

Comment on this article

Who are you?
  • [Log in]

To show your avatar with your message, register it first on gravatar.com (free et painless) and don’t forget to indicate your Email addresse here.

Enter your comment here

This form accepts SPIP shortcuts {{bold}} {italic} -*list [text->url] <quote> <code> and HTML code <q> <del> <ins>. To create paragraphs, just leave empty lines.

Add a document

Follow the comments: RSS 2.0 | Atom